routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

Auth::routes();
Route::get('/clear', function() {
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    return "Cleared!";
});
Route::get('/', 'HomeController@index')->name('welcome');
Route::get('/article/{id}', 'HomeController@singleArticle')->name('single.article');
Route::get('/doctor', 'HomeController@doctor')->name('doctor');
Route::get('/doctor/{id}details', 'HomeController@doctorInfo')->name('doctor.info');
Route::get('/question/answer', 'HomeController@questionPage')->name('question.answer');

Route::group(['middleware'=>['auth']], function ()
{
    Route::post('/question/comment/store','Patent\QuestionAskController@CommentStore')->name('question.comment.store');
    Route::post('/article/comment/store','ArticleCommentController@CommentStore')->name('article.comment.store');
    Route::get('/article/comment/reload{id}','ArticleCommentController@reload')->name('article.comment.reload');
    Route::get('/message/page','MessageController@messagePage')->name('message.page');
    Route::get('message/contacts','MessageController@getContacts');
    Route::get('/get/message/{id}','MessageController@getMessage');
    Route::post('/sent/message','MessageController@sentMessage');

});

Route::group(['as'=>'doctor.','prefix'=>'doctor','namespace'=>'Doctor','middleware'=>['auth','doctor']], function ()
{
    Route::get('/profile','ProfileController@index')->name('profile');
    Route::post('/article/post','ArticleController@store')->name('article.store');

});
Route::group(['as'=>'patent.','prefix'=>'patent','namespace'=>'Patent','middleware'=>['auth','patent']], function ()
{
    Route::post('/ask/question/post','QuestionAskController@store')->name('question.store');

});

resources/views/layouts/frontend/app.blade.php
<!doctype html>

<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" class="no-js">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css" integrity="sha256-46qynGAkLSFpVbEBog43gvNhfrOj+BmwXdxFgVK/Kvc=" crossorigin="anonymous" />
    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <!-- Place favicon.ico and apple-touch-icon.png in the root directory -->
    <link rel="stylesheet" href="{{asset('assets/frontend/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="{{asset('assets/frontend/css/animations.css')}}">
    <link rel="stylesheet" href="{{asset('assets/frontend/css/fonts.css')}}">
    <link rel="stylesheet" href="{{asset('assets/frontend/css/main.css')}}" class="color-switcher-link">
    <link rel="stylesheet" href="{{asset('assets/frontend/css/shop.css')}}" class="color-switcher-link">

    @stack('css')
</head>
<body>
    <!--[if lt IE 9]>
    <div class="bg-danger text-center">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/" class="highlight">upgrade your browser</a> to improve your experience.</div>
    <![endif]-->

    <!-- search modal -->
    <div class="modal" tabindex="-1" role="dialog" aria-labelledby="search_modal" id="search_modal"> <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">
                    <i class="rt-icon2-cross2"></i>
                </span>
        </button>
        <div class="widget widget_search">
            <form method="get" class="searchform search-form form-inline" action="./">
                <div class="form-group bottommargin_0"> <input type="text" value="" name="search" class="form-control" placeholder="Search keyword" id="modal-search-input"> </div> <button type="submit" class="theme_button no_bg_button">Search</button>
            </form>
        </div>
    </div>
    <!-- Unyson messages modal -->
    <div class="modal fade" tabindex="-1" role="dialog" id="messages_modal">
        <div class="fw-messages-wrap ls with_padding">
            <!-- Uncomment this UL with LI to show messages in modal popup to your user: -->
            <!--
        <ul class="list-unstyled">
            <li>Message To User</li>
        </ul>
        -->
        </div>
    </div>
    <!-- eof .modal -->
    <!-- wrappers for visual page editor and boxed version of template -->
    <div id="canvas">
        <div id="box_wrapper app">
            <!-- template sections -->
            @include('layouts.frontend.header')
            @yield('content')
            @include('layouts.frontend.footer')
        </div>
    </div>
    <script src="{{asset('js/app.js')}}"></script>
    <script src="{{asset('assets/frontend/js/compressed.js')}}"></script>
    <script src="{{asset('assets/frontend/js/selectize.min.js')}}"></script>
    <script src="{{asset('assets/frontend/js/main.js')}}"></script>
    <script src="https://use.fontawesome.com/9d8853db22.js"></script>
    <script src="https://kit.fontawesome.com/9af55ef312.js" crossorigin="anonymous"></script>
@stack('js')
</body>
</html>

resources/views/layouts/frontend/footer.blade.php
<footer class="page_footer template_footer ds ms parallax overlay_color section_padding_top_50 section_padding_bottom_50 columns_padding_25">
    <div class="container">
        <div class="row">
            <div class="col-md-6 col-sm-6 col-xs-12 col-md-push-6 text-center">
                <div class="widget widget_text widget_about">
                    <div class="logo logo_with_text bottommargin_10">
                        <img src="{{asset('assets/frontend/images/logo.png')}}" alt=""> <span class="logo_text">
                            Self Recovery
                            <small class="highlight4">Recover yourself from home</small>
                        </span> </div>
                    <p>The mission of Our Community Center is to enhance and sustain the health of people around the world.</p>
                    <p class="topmargin_25">
                        <a class="fab fa-facebook" href="#" title="Facebook"></a>
                        <a class="fab fa-twitter" href="#" title="Twitter"></a>
                        <a class="fab fa-google-plus-g" href="#" title="Google Plus"></a>
                        <a class="fab fa-linkedin" href="#" title="Linkedin"></a>
                        <a class="fab fa-youtube" href="#" title="Youtube"></a>
                    </p>
                </div>
            </div>
            <div class="col-md-6 col-sm-6 col-xs-12 col-md-pull-6 text-center">
                <div class="widget widget_text">
                    <h3 class="widget-title">Our Contacts</h3>
                    <ul class="list-unstyled greylinks">
                        <li class="media">
                            <i class="fa fa-map-marker highlight rightpadding_5" aria-hidden="true"></i>
                            05 Senpara Parbata, Mirpur 10, Dhaka </li>
                        <li class="media"> <i class="fa fa-phone highlight rightpadding_5" aria-hidden="true"></i>
                            8 (800) 923 4567 (operator) </li>
                        <li class="media"> <i class="fa fa-pencil highlight rightpadding_5" aria-hidden="true"></i>
                            <a href="mailto:diversify@example.com">info@selfrecovery.com</a> </li>
                        <li class="media"> <i class="fa fa-clock-o highlight rightpadding_5" aria-hidden="true"></i>
                            Sun-Fri: 9:00-19:00, Sat: 10:00-17:00 </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</footer>
<section class="ds ms parallax page_copyright overlay_color section_padding_top_10 section_padding_bottom_30">
    <div class="container">
        <div class="row">
            <div class="col-sm-12 text-center">
                <p>&copy; Copyright 2019. All Rights Reserved.</p>
            </div>
        </div>
    </div>
</section>

resources/views/layouts/frontend/header.blade.php
<header class="page_header header_white toggler_xs_right columns_margin_0">
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12 display_table">
                <div class="header_left_logo display_table_cell"> <a href="/" class="logo logo_with_text">
                        <img src="{{asset('assets/frontend/images/logo.png')}}" alt="">
                        <span class="logo_text">
                                Self Recovery
                                <small class="highlight4">Recover yourself from home</small>
                            </span>
                    </a> </div>
                <div class="header_mainmenu display_table_cell text-center">
                    <!-- main nav start -->
                    <nav class="mainmenu_wrapper">
                        <ul class="mainmenu nav sf-menu">
                            <li class="{{Request::is('/')?'active':''}}"> <a href="/">Home</a></li>
                            <li class="{{Request::is('doctor')?'active':''}}"> <a href="{{route('doctor')}}">Doctor</a></li>
                            <li class="{{Request::is('message/page')?'active':''}}"> <a href="{{route('message.page')}}">Message</a></li>
                            <li class="{{Request::is('question/answer')?'active':''}}"> <a href="{{route('question.answer')}}">ASK QUESTION</a></li>
                            @if (auth()->check() and isset(auth()->user()->role) and auth()->user()->role->id == 2)
                                <li class="{{Request::is('doctor/profile')?'active':''}}">
                                    <a href="{{route('doctor.profile')}}">Profile</a>
                                </li>
                            @elseif (auth()->check() and isset(auth()->user()->role) and auth()->user()->role->id == 3)
                                <li class="{{Request::is('doctor/profile')?'active':''}}">
                                    <a href="#">Profile</a>
                                </li>
                            @elseif (auth()->check() and isset(auth()->user()->role) and auth()->user()->role->id == 1)
                                <li class="{{Request::is('doctor/profile')?'active':''}}">
                                    <a href="#">Dashboard</a>
                                </li>
                            @endif
                            @guest()
                            <li class="{{Request::is('login')?'active':''}}"> <a href="{{route('login')}}">Login</a></li>
                            <li class="{{Request::is('register')?'active':''}}"> <a href="{{route('register')}}">Register</a> </li>
                            @else
                                <li> <a href="javascript:void(0);" onclick="event.preventDefault();document.getElementById('logout-form').submit();">Logout</a> </li>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                    @csrf
                                </form>
                            @endguest
                        </ul>
                    </nav>
                    <!-- eof main nav -->
                    <!-- header toggler -->
                    <span class="toggle_menu"><span>
                            </span>
                        </span>
                </div>
            </div>
        </div>
    </div>
</header>